Bug 221039 - Review Request: aria2 - High speed download utility with resuming and segmented downloading.
Review Request: aria2 - High speed download utility with resuming and segment...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Package Reviews List
:
: 201808 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-30 18:35 EST by Michał Bentkowski
Modified: 2015-02-28 11:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 15:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michał Bentkowski 2006-12-30 18:35:49 EST
Spec URL: http://ecik.nonlogic.org/aria/aria2.spec
SRPM URL: http://ecik.nonlogic.org/aria/aria2-0.9.0-1.src.rpm
Description: 
aria2 is a download utility with resuming and segmented downloading.
Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
version 3.0.
Comment 1 Rafał Psota 2006-12-30 19:28:05 EST
This is not an official review, I'm looking for a sponsor.

* rmplint returns W: aria2 summary-ended-with-dot High speed download utility
with resuming and segmented downloading.
* specfile is properly named
* source files match upstream
* BuildRequires listed well (mock builds successfully on FC6 i386)
* latest version is being packaged
* license field matches the actual license (included in %doc)
* no duplicates in %files
* spec file handles locales properly
Comment 2 Axel Thimm 2006-12-30 21:38:21 EST
"download accellerators" with "segmented downloading of one file with multiple
connections from one URL" are evil.
Comment 3 Michał Bentkowski 2006-12-31 07:10:57 EST
(In reply to comment #2)
> "download accellerators" with "segmented downloading of one file with multiple
> connections from one URL" are evil.

Nevertheless, they can be used by a lot of people and also metalink feature is
quite nice :)
Comment 4 Karol Trzcionka 2006-12-31 07:33:29 EST
I am not sponsored, it is prereview.

-Rpmlint:
(S)RPM: "W: aria2 summary-ended-with-dot High speed download utility with
resuming and segmented downloading."

Summary is:
"Summary:        High speed download utility with resuming and segmented
downloading."
It should be:
"Summary:        High speed download utility with resuming and segmented
downloading"

-The package is named according to the Package Naming Guidelines.
-The spec file name is in the format %{name}.spec
-I think that the package meets the Packaging Guidelines.
-License GPL - ok
-In spec the actual license is written
-The text of the license is included in %doc
-The spec file is written in American English.
-The spec file for the package is legible.
-md5sum source in srpm and from url is the same
-SRPM succesfully compiles with mock (Fc6, arch i386)
-All build dependencies are listed in BuildRequires. There are not any packages
from ExceptionList
-The spec file handle locales properly. This is done by using the %find_lang
macro. There are not used %{_datadir}/locale/*
-RPM package have not shared library files
-The package is not designed to be relocatable.
-The package own all directories that it creates. 
-There are not any duplicate files in %files listing.
-Permissions on files are set properly.
-Package have a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
-The package consistently uses macros
-The package contains code, or permissable content.
-There are not large documentation files
-Files in %doc do not affect the runtime of the application.
-There are not header files or static libraries.
-There are not pkgconfig(.pc) files.
-There are not any library files with a suffix
-There are not a devel package
-There are not any .la libtool archives, these should be removed in the spec.
-It is not a GUI application
-Packages does not own files or directories already owned by other packages. 
Comment 5 Michał Bentkowski 2006-12-31 08:38:34 EST
(In reply to comment #4)
> Summary is:
> "Summary:        High speed download utility with resuming and segmented
> downloading."
> It should be:
> "Summary:        High speed download utility with resuming and segmented
> downloading"
>

Fixed.

Spec URL: http://ecik.nonlogic.org/aria/aria2.spec
SRPM URL: http://ecik.nonlogic.org/aria/aria2-0.9.0-2.src.rpm
Comment 6 Julian Sikorski 2006-12-31 08:59:47 EST
- MUST: rpmlint is silent
- MUST: Package is named well
- MUST: Spec file name matches the package name
- MUST: Package meets packaging guidelines
- MUST: Pachage is licensed with GPL
- MUST: License field matches actual license
- MUST: COPYING file is included in %doc
- MUST: Spec is written in English, most probably American (I am not that
familiar with the differences to be 100% sure)
- MUST: I can understand the spec file
- MUST: MD5 sums match
- MUST: Package build in mock (fc6/i386)
- MUST: I can't check other architectures
- MUST: All deps are listed in BR
- MUST: %find_lang is used
- MUST: Package does not contain shared libs
- MUST: Package is not relocatable
- MUST: Directory ownership is ok
- MUST: There are no duplicates in %files
- MUST: Permissions are OK
- MUST: Clean section is present
- MUST: Macros are used consistently
- MUST: Package contains code
- MUST: There is no large documentation
- MUST: %doc is not required at runtime
- MUST: There is no headers nor static libs
- MUST: No pkgconfig files
- MUST: There is no shared libs
- MUST: There is no -devel subpackage
- MUST: There is no libtool archives
- MUST: Not a GUI app
- MUST: Pachage does not own dirs owned by other packages

SHOULD Items:
- SHOULD: License is included
- SHOULD: There are not translantions
- SHOULD: Package builds in mock (fc6/i386)
- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
- SHOULD: Package works (smoke tested on fc6/i386)
- SHOULD: Scriptlets are not used
- SHOULD: There is no devel subpackage
- SHOULD: There are no pkgconfig files

APPROVED
Comment 7 Michał Bentkowski 2007-01-02 15:58:48 EST
Thanks for review!
Package built successfully for every branch I requested.
Closing.
Comment 8 Mamoru TASAKA 2007-01-19 10:52:38 EST
*** Bug 201808 has been marked as a duplicate of this bug. ***
Comment 9 Athmane Madjoudj 2015-02-27 14:12:34 EST
Package Change Request
======================
Package Name: aria2
New Branches: el6 epel7
Owners: athmane
Comment 10 Jon Ciesla 2015-02-28 11:04:45 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.